>From a4ec2be603f60730c48c497231d1e9c0ba02463f Mon Sep 17 00:00:00 2001
From: Cyril Brulebois <kibi@debian.org>
Date: Sun, 3 Jan 2016 01:03:24 +0100
Subject: [PATCH] Switch d-i.debian.org URIs from http to https.

---
 debian/changelog                   | 3 +++
 tools/boot/jessie/boot-alpha       | 2 +-
 tools/boot/jessie/boot-arm         | 4 ++--
 tools/boot/jessie/boot-arm64       | 2 +-
 tools/boot/jessie/boot-hppa        | 2 +-
 tools/boot/jessie/boot-hurd        | 2 +-
 tools/boot/jessie/boot-ia64        | 2 +-
 tools/boot/jessie/boot-kfreebsd    | 4 ++--
 tools/boot/jessie/boot-mips        | 2 +-
 tools/boot/jessie/boot-mipsel      | 2 +-
 tools/boot/jessie/boot-powerpc     | 2 +-
 tools/boot/jessie/boot-ppc64el     | 2 +-
 tools/boot/jessie/boot-s390x       | 2 +-
 tools/boot/jessie/boot-sparc       | 2 +-
 tools/boot/jessie/boot-x86         | 4 ++--
 tools/boot/stretch/boot-alpha      | 2 +-
 tools/boot/stretch/boot-arm        | 4 ++--
 tools/boot/stretch/boot-arm64      | 2 +-
 tools/boot/stretch/boot-hppa       | 2 +-
 tools/boot/stretch/boot-hurd       | 2 +-
 tools/boot/stretch/boot-ia64       | 2 +-
 tools/boot/stretch/boot-kfreebsd   | 4 ++--
 tools/boot/stretch/boot-mips       | 2 +-
 tools/boot/stretch/boot-mipsel     | 2 +-
 tools/boot/stretch/boot-powerpc    | 2 +-
 tools/boot/stretch/boot-ppc64el    | 2 +-
 tools/boot/stretch/boot-s390x      | 2 +-
 tools/boot/stretch/boot-sparc      | 2 +-
 tools/boot/stretch/boot-x86        | 4 ++--
 tools/boot/wheezy/boot-alpha       | 2 +-
 tools/boot/wheezy/boot-arm         | 4 ++--
 tools/boot/wheezy/boot-hppa        | 2 +-
 tools/boot/wheezy/boot-hurd        | 2 +-
 tools/boot/wheezy/boot-ia64        | 2 +-
 tools/boot/wheezy/boot-kfreebsd    | 4 ++--
 tools/boot/wheezy/boot-mips        | 2 +-
 tools/boot/wheezy/boot-mipsel      | 2 +-
 tools/boot/wheezy/boot-powerpc     | 2 +-
 tools/boot/wheezy/boot-s390-common | 4 ++--
 tools/boot/wheezy/boot-sparc       | 2 +-
 tools/boot/wheezy/boot-x86         | 4 ++--
 41 files changed, 53 insertions(+), 50 deletions(-)

diff --git a/debian/changelog b/debian/changelog
index 8af16ef..d75a4f2 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -40,6 +40,9 @@ debian-cd (3.1.18) UNRELEASED; urgency=medium
   * Drop the remaining s390 bits from stretch and jessie. (s390x remains.)
   * Drop the d390oco loader from stretch and jessie.
 
+  [ Cyril Brulebois ]
+  * Switch d-i.debian.org URIs from http to https.
+
  -- Steve McIntyre <93sam@debian.org>  Mon, 20 Apr 2015 12:36:57 +0100
 
 debian-cd (3.1.17) unstable; urgency=medium
diff --git a/tools/boot/jessie/boot-alpha b/tools/boot/jessie/boot-alpha
index 8908967..762ae2e 100755
--- a/tools/boot/jessie/boot-alpha
+++ b/tools/boot/jessie/boot-alpha
@@ -26,7 +26,7 @@ N=$1
 CDDIR=$2
 BOOTDIR=
 if [ "$DI_WWW_HOME" = "default" ];then
-    DI_WWW_HOME="http://d-i.debian.org/daily-images/alpha/daily/cdrom/"
+    DI_WWW_HOME="https://d-i.debian.org/daily-images/alpha/daily/cdrom/"
     try_di_image_cache
 fi
 
diff --git a/tools/boot/jessie/boot-arm b/tools/boot/jessie/boot-arm
index 80da3cb..d34c155 100755
--- a/tools/boot/jessie/boot-arm
+++ b/tools/boot/jessie/boot-arm
@@ -20,9 +20,9 @@ if [ "$DI_WWW_HOME" = "default" ];then
     # do *not* do that - these defs are parsed out by other scripts that
     # won't cope with that
     if [ "$ARCH" = armel ]; then
-        DI_WWW_HOME="http://d-i.debian.org/daily-images/armel/daily"
+        DI_WWW_HOME="https://d-i.debian.org/daily-images/armel/daily"
     elif [ "$ARCH" = armhf ]; then
-        DI_WWW_HOME="http://d-i.debian.org/daily-images/armhf/daily"
+        DI_WWW_HOME="https://d-i.debian.org/daily-images/armhf/daily"
     else
         echo "$0: unknown arch $ARCH; abort"
 	exit 1
diff --git a/tools/boot/jessie/boot-arm64 b/tools/boot/jessie/boot-arm64
index 5cd35da..66e2815 100755
--- a/tools/boot/jessie/boot-arm64
+++ b/tools/boot/jessie/boot-arm64
@@ -18,7 +18,7 @@ CDDIR=$2
 BOOTDIR=
 INSTALLDIR="install.a64"
 if [ "$DI_WWW_HOME" = "default" ];then
-    DI_WWW_HOME="http://d-i.debian.org/daily-images/arm64/daily"
+    DI_WWW_HOME="https://d-i.debian.org/daily-images/arm64/daily"
     try_di_image_cache
 fi
 
diff --git a/tools/boot/jessie/boot-hppa b/tools/boot/jessie/boot-hppa
index 84fa250..8e66f50 100755
--- a/tools/boot/jessie/boot-hppa
+++ b/tools/boot/jessie/boot-hppa
@@ -14,7 +14,7 @@ set -e
 N=$1
 CDROOT=$2
 if [ "$DI_WWW_HOME" = "default" ];then
-    DI_WWW_HOME="http://d-i.debian.org/daily-images/hppa/daily/cdrom/2.6"
+    DI_WWW_HOME="https://d-i.debian.org/daily-images/hppa/daily/cdrom/2.6"
     try_di_image_cache
 fi
 
diff --git a/tools/boot/jessie/boot-hurd b/tools/boot/jessie/boot-hurd
index 89ef3f6..f64b091 100644
--- a/tools/boot/jessie/boot-hurd
+++ b/tools/boot/jessie/boot-hurd
@@ -16,7 +16,7 @@ N=$1
 CDDIR=$2
 BOOTDIR=
 if [ "$DI_WWW_HOME" = "default" ];then
-    DI_WWW_HOME="http://d-i.debian.org/daily-images/hurd-i386/daily/"
+    DI_WWW_HOME="https://d-i.debian.org/daily-images/hurd-i386/daily/"
     try_di_image_cache
 fi
 
diff --git a/tools/boot/jessie/boot-ia64 b/tools/boot/jessie/boot-ia64
index 6e09440..24cd5f8 100755
--- a/tools/boot/jessie/boot-ia64
+++ b/tools/boot/jessie/boot-ia64
@@ -13,7 +13,7 @@ N=$1
 CDDIR=$2
 BOOTDIR=
 if [ "$DI_WWW_HOME" = "default" ];then
-    DI_WWW_HOME="http://d-i.debian.org/daily-images/ia64/daily"
+    DI_WWW_HOME="https://d-i.debian.org/daily-images/ia64/daily"
     try_di_image_cache
 fi
 
diff --git a/tools/boot/jessie/boot-kfreebsd b/tools/boot/jessie/boot-kfreebsd
index ceb437b..eae3695 100644
--- a/tools/boot/jessie/boot-kfreebsd
+++ b/tools/boot/jessie/boot-kfreebsd
@@ -20,9 +20,9 @@ if [ "$DI_WWW_HOME" = "default" ];then
     # do *not* do that - these defs are parsed out by other scripts that
     # won't cope with that
     if [ "$ARCH" = kfreebsd-i386 ]; then
-        DI_WWW_HOME="http://d-i.debian.org/daily-images/kfreebsd-i386/daily/"
+        DI_WWW_HOME="https://d-i.debian.org/daily-images/kfreebsd-i386/daily/"
     else
-        DI_WWW_HOME="http://d-i.debian.org/daily-images/kfreebsd-amd64/daily/"
+        DI_WWW_HOME="https://d-i.debian.org/daily-images/kfreebsd-amd64/daily/"
     fi
     try_di_image_cache
 fi
diff --git a/tools/boot/jessie/boot-mips b/tools/boot/jessie/boot-mips
index 8249213..23e68fe 100755
--- a/tools/boot/jessie/boot-mips
+++ b/tools/boot/jessie/boot-mips
@@ -14,7 +14,7 @@ set -e
 N=$1
 CDROOT=$2
 if [ "$DI_WWW_HOME" = "default" ];then
-    DI_WWW_HOME="http://d-i.debian.org/daily-images/mips/daily/"
+    DI_WWW_HOME="https://d-i.debian.org/daily-images/mips/daily/"
     try_di_image_cache
 fi
 
diff --git a/tools/boot/jessie/boot-mipsel b/tools/boot/jessie/boot-mipsel
index dd2e75d..d89f890 100755
--- a/tools/boot/jessie/boot-mipsel
+++ b/tools/boot/jessie/boot-mipsel
@@ -16,7 +16,7 @@ set -e
 N=$1
 CDROOT=$2
 if [ "$DI_WWW_HOME" = "default" ];then
-    DI_WWW_HOME="http://d-i.debian.org/daily-images/mipsel/daily"
+    DI_WWW_HOME="https://d-i.debian.org/daily-images/mipsel/daily"
     try_di_image_cache
 fi
 
diff --git a/tools/boot/jessie/boot-powerpc b/tools/boot/jessie/boot-powerpc
index d8b3034..b4bbba9 100755
--- a/tools/boot/jessie/boot-powerpc
+++ b/tools/boot/jessie/boot-powerpc
@@ -15,7 +15,7 @@ N=$1
 CDDIR=$2
 INSTALLDIR=$CDDIR/install
 if [ "$DI_WWW_HOME" = "default" ];then
-    DI_WWW_HOME="http://d-i.debian.org/daily-images/powerpc/daily"
+    DI_WWW_HOME="https://d-i.debian.org/daily-images/powerpc/daily"
     try_di_image_cache
 fi
 
diff --git a/tools/boot/jessie/boot-ppc64el b/tools/boot/jessie/boot-ppc64el
index 6f90e45..aa6feda 100755
--- a/tools/boot/jessie/boot-ppc64el
+++ b/tools/boot/jessie/boot-ppc64el
@@ -25,7 +25,7 @@ N=$1
 CDDIR=$2
 INSTALLDIR=$CDDIR/install
 if [ "$DI_WWW_HOME" = "default" ];then
-    DI_WWW_HOME="http://d-i.debian.org/daily-images/ppc64el/daily"
+    DI_WWW_HOME="https://d-i.debian.org/daily-images/ppc64el/daily"
     try_di_image_cache
 fi
 
diff --git a/tools/boot/jessie/boot-s390x b/tools/boot/jessie/boot-s390x
index c9f73ad..f9b40dd 100755
--- a/tools/boot/jessie/boot-s390x
+++ b/tools/boot/jessie/boot-s390x
@@ -36,7 +36,7 @@ if [ "$DI_WWW_HOME" = "default" ];then
     # do *not* do that - these defs are parsed out by other scripts that
     # won't cope with that
     if [ "$ARCH" = s390x ]; then
-        DI_WWW_HOME="http://d-i.debian.org/daily-images/s390x/daily"
+        DI_WWW_HOME="https://d-i.debian.org/daily-images/s390x/daily"
     fi
     try_di_image_cache
 fi
diff --git a/tools/boot/jessie/boot-sparc b/tools/boot/jessie/boot-sparc
index 8f41171..fea5bac 100755
--- a/tools/boot/jessie/boot-sparc
+++ b/tools/boot/jessie/boot-sparc
@@ -11,7 +11,7 @@ set -e
 N=$1
 CDDIR=$2
 if [ "$DI_WWW_HOME" = "default" ];then
-    DI_WWW_HOME="http://d-i.debian.org/daily-images/sparc/daily/cdrom/"
+    DI_WWW_HOME="https://d-i.debian.org/daily-images/sparc/daily/cdrom/"
     try_di_image_cache
 fi
 
diff --git a/tools/boot/jessie/boot-x86 b/tools/boot/jessie/boot-x86
index c6d397c..7450c25 100644
--- a/tools/boot/jessie/boot-x86
+++ b/tools/boot/jessie/boot-x86
@@ -40,9 +40,9 @@ if [ "$DI_WWW_HOME" = "default" ];then
     # do *not* do that - these defs are parsed out by other scripts that
     # won't cope with that
     if [ "$ARCH" = i386 ]; then
-        DI_WWW_HOME="http://d-i.debian.org/daily-images/i386/daily"
+        DI_WWW_HOME="https://d-i.debian.org/daily-images/i386/daily"
     else
-        DI_WWW_HOME="http://d-i.debian.org/daily-images/amd64/daily"
+        DI_WWW_HOME="https://d-i.debian.org/daily-images/amd64/daily"
     fi
     try_di_image_cache
 else
diff --git a/tools/boot/stretch/boot-alpha b/tools/boot/stretch/boot-alpha
index 5df3885..f3d58bc 100755
--- a/tools/boot/stretch/boot-alpha
+++ b/tools/boot/stretch/boot-alpha
@@ -26,7 +26,7 @@ N=$1
 CDDIR=$2
 BOOTDIR=
 if [ "$DI_WWW_HOME" = "default" ];then
-    DI_WWW_HOME="http://d-i.debian.org/daily-images/alpha/daily/cdrom/"
+    DI_WWW_HOME="https://d-i.debian.org/daily-images/alpha/daily/cdrom/"
     try_di_image_cache
 fi
 
diff --git a/tools/boot/stretch/boot-arm b/tools/boot/stretch/boot-arm
index e502d06..7d729f6 100755
--- a/tools/boot/stretch/boot-arm
+++ b/tools/boot/stretch/boot-arm
@@ -21,10 +21,10 @@ if [ "$DI_WWW_HOME" = "default" ];then
     # do *not* do that - these defs are parsed out by other scripts that
     # won't cope with that
     if [ "$ARCH" = armel ]; then
-        DI_WWW_HOME="http://d-i.debian.org/daily-images/armel/daily"
+        DI_WWW_HOME="https://d-i.debian.org/daily-images/armel/daily"
 	CUT=3
     elif [ "$ARCH" = armhf ]; then
-        DI_WWW_HOME="http://d-i.debian.org/daily-images/armhf/daily"
+        DI_WWW_HOME="https://d-i.debian.org/daily-images/armhf/daily"
 	CUT=3
     else
         echo "$0: unknown arch $ARCH; abort"
diff --git a/tools/boot/stretch/boot-arm64 b/tools/boot/stretch/boot-arm64
index 5cd35da..66e2815 100755
--- a/tools/boot/stretch/boot-arm64
+++ b/tools/boot/stretch/boot-arm64
@@ -18,7 +18,7 @@ CDDIR=$2
 BOOTDIR=
 INSTALLDIR="install.a64"
 if [ "$DI_WWW_HOME" = "default" ];then
-    DI_WWW_HOME="http://d-i.debian.org/daily-images/arm64/daily"
+    DI_WWW_HOME="https://d-i.debian.org/daily-images/arm64/daily"
     try_di_image_cache
 fi
 
diff --git a/tools/boot/stretch/boot-hppa b/tools/boot/stretch/boot-hppa
index ecaeec4..ad57ea0 100755
--- a/tools/boot/stretch/boot-hppa
+++ b/tools/boot/stretch/boot-hppa
@@ -14,7 +14,7 @@ set -e
 N=$1
 CDROOT=$2
 if [ "$DI_WWW_HOME" = "default" ];then
-    DI_WWW_HOME="http://d-i.debian.org/daily-images/hppa/daily/cdrom/2.6"
+    DI_WWW_HOME="https://d-i.debian.org/daily-images/hppa/daily/cdrom/2.6"
     try_di_image_cache
 fi
 
diff --git a/tools/boot/stretch/boot-hurd b/tools/boot/stretch/boot-hurd
index 60f5dbe..400203e 100644
--- a/tools/boot/stretch/boot-hurd
+++ b/tools/boot/stretch/boot-hurd
@@ -16,7 +16,7 @@ N=$1
 CDDIR=$2
 BOOTDIR=
 if [ "$DI_WWW_HOME" = "default" ];then
-    DI_WWW_HOME="http://d-i.debian.org/daily-images/hurd-i386/daily/"
+    DI_WWW_HOME="https://d-i.debian.org/daily-images/hurd-i386/daily/"
     try_di_image_cache
 fi
 
diff --git a/tools/boot/stretch/boot-ia64 b/tools/boot/stretch/boot-ia64
index 971d4db..fcdeb11 100755
--- a/tools/boot/stretch/boot-ia64
+++ b/tools/boot/stretch/boot-ia64
@@ -13,7 +13,7 @@ N=$1
 CDDIR=$2
 BOOTDIR=
 if [ "$DI_WWW_HOME" = "default" ];then
-    DI_WWW_HOME="http://d-i.debian.org/daily-images/ia64/daily"
+    DI_WWW_HOME="https://d-i.debian.org/daily-images/ia64/daily"
     try_di_image_cache
 fi
 
diff --git a/tools/boot/stretch/boot-kfreebsd b/tools/boot/stretch/boot-kfreebsd
index ffe6aad..7cff2bb 100644
--- a/tools/boot/stretch/boot-kfreebsd
+++ b/tools/boot/stretch/boot-kfreebsd
@@ -20,9 +20,9 @@ if [ "$DI_WWW_HOME" = "default" ];then
     # do *not* do that - these defs are parsed out by other scripts that
     # won't cope with that
     if [ "$ARCH" = kfreebsd-i386 ]; then
-        DI_WWW_HOME="http://d-i.debian.org/daily-images/kfreebsd-i386/daily/"
+        DI_WWW_HOME="https://d-i.debian.org/daily-images/kfreebsd-i386/daily/"
     else
-        DI_WWW_HOME="http://d-i.debian.org/daily-images/kfreebsd-amd64/daily/"
+        DI_WWW_HOME="https://d-i.debian.org/daily-images/kfreebsd-amd64/daily/"
     fi
     try_di_image_cache
 fi
diff --git a/tools/boot/stretch/boot-mips b/tools/boot/stretch/boot-mips
index 3aec342..8a8b6f4 100755
--- a/tools/boot/stretch/boot-mips
+++ b/tools/boot/stretch/boot-mips
@@ -15,7 +15,7 @@ N=$1
 CDDIR=$2
 INSTALLDIR="install"
 if [ "$DI_WWW_HOME" = "default" ];then
-    DI_WWW_HOME="http://d-i.debian.org/daily-images/mips/daily/"
+    DI_WWW_HOME="https://d-i.debian.org/daily-images/mips/daily/"
     try_di_image_cache
 fi
 
diff --git a/tools/boot/stretch/boot-mipsel b/tools/boot/stretch/boot-mipsel
index f39cf0a..8cc86ba 100755
--- a/tools/boot/stretch/boot-mipsel
+++ b/tools/boot/stretch/boot-mipsel
@@ -16,7 +16,7 @@ set -e
 N=$1
 CDROOT=$2
 if [ "$DI_WWW_HOME" = "default" ];then
-    DI_WWW_HOME="http://d-i.debian.org/daily-images/mipsel/daily"
+    DI_WWW_HOME="https://d-i.debian.org/daily-images/mipsel/daily"
     try_di_image_cache
 fi
 
diff --git a/tools/boot/stretch/boot-powerpc b/tools/boot/stretch/boot-powerpc
index 36801bb..4922841 100755
--- a/tools/boot/stretch/boot-powerpc
+++ b/tools/boot/stretch/boot-powerpc
@@ -15,7 +15,7 @@ N=$1
 CDDIR=$2
 INSTALLDIR=$CDDIR/install
 if [ "$DI_WWW_HOME" = "default" ];then
-    DI_WWW_HOME="http://d-i.debian.org/daily-images/powerpc/daily"
+    DI_WWW_HOME="https://d-i.debian.org/daily-images/powerpc/daily"
     try_di_image_cache
 fi
 
diff --git a/tools/boot/stretch/boot-ppc64el b/tools/boot/stretch/boot-ppc64el
index 6f90e45..aa6feda 100755
--- a/tools/boot/stretch/boot-ppc64el
+++ b/tools/boot/stretch/boot-ppc64el
@@ -25,7 +25,7 @@ N=$1
 CDDIR=$2
 INSTALLDIR=$CDDIR/install
 if [ "$DI_WWW_HOME" = "default" ];then
-    DI_WWW_HOME="http://d-i.debian.org/daily-images/ppc64el/daily"
+    DI_WWW_HOME="https://d-i.debian.org/daily-images/ppc64el/daily"
     try_di_image_cache
 fi
 
diff --git a/tools/boot/stretch/boot-s390x b/tools/boot/stretch/boot-s390x
index 30eab52..72919d2 100755
--- a/tools/boot/stretch/boot-s390x
+++ b/tools/boot/stretch/boot-s390x
@@ -36,7 +36,7 @@ if [ "$DI_WWW_HOME" = "default" ];then
     # do *not* do that - these defs are parsed out by other scripts that
     # won't cope with that
     if [ "$ARCH" = s390x ]; then
-        DI_WWW_HOME="http://d-i.debian.org/daily-images/s390x/daily"
+        DI_WWW_HOME="https://d-i.debian.org/daily-images/s390x/daily"
     fi
     try_di_image_cache
 fi
diff --git a/tools/boot/stretch/boot-sparc b/tools/boot/stretch/boot-sparc
index fa8715e..9d05e82 100755
--- a/tools/boot/stretch/boot-sparc
+++ b/tools/boot/stretch/boot-sparc
@@ -11,7 +11,7 @@ set -e
 N=$1
 CDDIR=$2
 if [ "$DI_WWW_HOME" = "default" ];then
-    DI_WWW_HOME="http://d-i.debian.org/daily-images/sparc/daily/cdrom/"
+    DI_WWW_HOME="https://d-i.debian.org/daily-images/sparc/daily/cdrom/"
     try_di_image_cache
 fi
 
diff --git a/tools/boot/stretch/boot-x86 b/tools/boot/stretch/boot-x86
index bd70865..f681d6e 100644
--- a/tools/boot/stretch/boot-x86
+++ b/tools/boot/stretch/boot-x86
@@ -40,9 +40,9 @@ if [ "$DI_WWW_HOME" = "default" ];then
     # do *not* do that - these defs are parsed out by other scripts that
     # won't cope with that
     if [ "$ARCH" = amd64 ]; then
-        DI_WWW_HOME="http://d-i.debian.org/daily-images/amd64/daily"
+        DI_WWW_HOME="https://d-i.debian.org/daily-images/amd64/daily"
     else
-        DI_WWW_HOME="http://d-i.debian.org/daily-images/i386/daily"
+        DI_WWW_HOME="https://d-i.debian.org/daily-images/i386/daily"
     fi
     try_di_image_cache
 else
diff --git a/tools/boot/wheezy/boot-alpha b/tools/boot/wheezy/boot-alpha
index 74b2650..eb0a924 100755
--- a/tools/boot/wheezy/boot-alpha
+++ b/tools/boot/wheezy/boot-alpha
@@ -26,7 +26,7 @@ N=$1
 CDDIR=$2
 BOOTDIR=
 if [ "$DI_WWW_HOME" = "default" ];then
-   DI_WWW_HOME="http://d-i.debian.org/daily-images/alpha/daily/cdrom/"
+   DI_WWW_HOME="https://d-i.debian.org/daily-images/alpha/daily/cdrom/"
    if [ -n "$DI_DIR" ];then
       DI_DIR="$DI_DIR/${DI_WWW_HOME#*http://}"
       DI_WWW_HOME=""                     
diff --git a/tools/boot/wheezy/boot-arm b/tools/boot/wheezy/boot-arm
index c735db8..9793ff8 100755
--- a/tools/boot/wheezy/boot-arm
+++ b/tools/boot/wheezy/boot-arm
@@ -17,9 +17,9 @@ N=$1
 CDDIR=$2
 if [ "$DI_WWW_HOME" = "default" ];then
     if [ "$ARCH" = armel ]; then
-	    DI_WWW_HOME="http://d-i.debian.org/daily-images/armel/daily"
+	    DI_WWW_HOME="https://d-i.debian.org/daily-images/armel/daily"
     else
-	    DI_WWW_HOME="http://d-i.debian.org/daily-images/armhf/daily"
+	    DI_WWW_HOME="https://d-i.debian.org/daily-images/armhf/daily"
     fi
     if [ -n "$DI_DIR" ];then
         DI_DIR="$DI_DIR/${DI_WWW_HOME#*http://}"
diff --git a/tools/boot/wheezy/boot-hppa b/tools/boot/wheezy/boot-hppa
index 315976d..8547729 100755
--- a/tools/boot/wheezy/boot-hppa
+++ b/tools/boot/wheezy/boot-hppa
@@ -14,7 +14,7 @@ set -e
 N=$1
 CDROOT=$2
 if [ "$DI_WWW_HOME" = "default" ];then
-    DI_WWW_HOME="http://d-i.debian.org/daily-images/hppa/daily/cdrom/2.6"
+    DI_WWW_HOME="https://d-i.debian.org/daily-images/hppa/daily/cdrom/2.6"
     if [ -n "$DI_DIR" ];then
         DI_DIR="$DI_DIR/${DI_WWW_HOME#*http://}"
         DI_WWW_HOME=""                     
diff --git a/tools/boot/wheezy/boot-hurd b/tools/boot/wheezy/boot-hurd
index ed99282..63e746b 100644
--- a/tools/boot/wheezy/boot-hurd
+++ b/tools/boot/wheezy/boot-hurd
@@ -16,7 +16,7 @@ N=$1
 CDDIR=$2
 BOOTDIR=
 if [ "$DI_WWW_HOME" = "default" ];then
-    DI_WWW_HOME="http://d-i.debian.org/daily-images/hurd-i386/daily/"
+    DI_WWW_HOME="https://d-i.debian.org/daily-images/hurd-i386/daily/"
     if [ -n "$DI_DIR" ];then
         DI_DIR="$DI_DIR/${DI_WWW_HOME#*http://}"
         DI_WWW_HOME=""
diff --git a/tools/boot/wheezy/boot-ia64 b/tools/boot/wheezy/boot-ia64
index bd6a5ec..0ab2a9b 100755
--- a/tools/boot/wheezy/boot-ia64
+++ b/tools/boot/wheezy/boot-ia64
@@ -13,7 +13,7 @@ N=$1
 CDDIR=$2
 BOOTDIR=
 if [ "$DI_WWW_HOME" = "default" ];then
-   DI_WWW_HOME="http://d-i.debian.org/daily-images/ia64/daily"
+   DI_WWW_HOME="https://d-i.debian.org/daily-images/ia64/daily"
    if [ -n "$DI_DIR" ];then
       DI_DIR="$DI_DIR/${DI_WWW_HOME#*http://}"
       DI_WWW_HOME=""                     
diff --git a/tools/boot/wheezy/boot-kfreebsd b/tools/boot/wheezy/boot-kfreebsd
index 99a760f..574b423 100644
--- a/tools/boot/wheezy/boot-kfreebsd
+++ b/tools/boot/wheezy/boot-kfreebsd
@@ -17,9 +17,9 @@ CDDIR=$2
 BOOTDIR=
 if [ "$DI_WWW_HOME" = "default" ];then
     if [ "$ARCH" = kfreebsd-i386 ]; then
-        DI_WWW_HOME="http://d-i.debian.org/daily-images/kfreebsd-i386/daily/"
+        DI_WWW_HOME="https://d-i.debian.org/daily-images/kfreebsd-i386/daily/"
     else
-        DI_WWW_HOME="http://d-i.debian.org/daily-images/kfreebsd-amd64/daily/"
+        DI_WWW_HOME="https://d-i.debian.org/daily-images/kfreebsd-amd64/daily/"
     fi
     if [ -n "$DI_DIR" ];then
         DI_DIR="$DI_DIR/${DI_WWW_HOME#*http://}"
diff --git a/tools/boot/wheezy/boot-mips b/tools/boot/wheezy/boot-mips
index f8a3de8..c04b700 100755
--- a/tools/boot/wheezy/boot-mips
+++ b/tools/boot/wheezy/boot-mips
@@ -14,7 +14,7 @@ set -e
 N=$1
 CDROOT=$2
 if [ "$DI_WWW_HOME" = "default" ];then
-   DI_WWW_HOME="http://d-i.debian.org/daily-images/mips/daily/"
+   DI_WWW_HOME="https://d-i.debian.org/daily-images/mips/daily/"
    if [ -n "$DI_DIR" ];then
        DI_DIR="$DI_DIR/${DI_WWW_HOME#*http://}"
        DI_WWW_HOME=""                     
diff --git a/tools/boot/wheezy/boot-mipsel b/tools/boot/wheezy/boot-mipsel
index c63a6b7..7e7f161 100755
--- a/tools/boot/wheezy/boot-mipsel
+++ b/tools/boot/wheezy/boot-mipsel
@@ -16,7 +16,7 @@ set -e
 N=$1
 CDROOT=$2
 if [ "$DI_WWW_HOME" = "default" ];then
-      DI_WWW_HOME="http://d-i.debian.org/daily-images/mipsel/daily"
+      DI_WWW_HOME="https://d-i.debian.org/daily-images/mipsel/daily"
    if [ -n "$DI_DIR" ];then
        DI_DIR="$DI_DIR/${DI_WWW_HOME#*http://}"
        DI_WWW_HOME=""                     
diff --git a/tools/boot/wheezy/boot-powerpc b/tools/boot/wheezy/boot-powerpc
index 0da3016..b4a19b8 100755
--- a/tools/boot/wheezy/boot-powerpc
+++ b/tools/boot/wheezy/boot-powerpc
@@ -15,7 +15,7 @@ N=$1
 CDDIR=$2
 INSTALLDIR=$CDDIR/install
 if [ "$DI_WWW_HOME" = "default" ];then
-   DI_WWW_HOME="http://d-i.debian.org/daily-images/powerpc/daily"
+   DI_WWW_HOME="https://d-i.debian.org/daily-images/powerpc/daily"
    if [ -n "$DI_DIR" ];then
        DI_DIR="$DI_DIR/${DI_WWW_HOME#*http://}"
        DI_WWW_HOME=""
diff --git a/tools/boot/wheezy/boot-s390-common b/tools/boot/wheezy/boot-s390-common
index 84c4040..3200fb2 100644
--- a/tools/boot/wheezy/boot-s390-common
+++ b/tools/boot/wheezy/boot-s390-common
@@ -36,9 +36,9 @@ if [ "$DI_WWW_HOME" = "default" ];then
     # do *not* do that - these defs are parsed out by other scripts that
     # won't cope with that
 	if [ "$ARCH" = s390 ]; then
-		DI_WWW_HOME="http://d-i.debian.org/daily-images/s390/daily"
+		DI_WWW_HOME="https://d-i.debian.org/daily-images/s390/daily"
 	else
-		DI_WWW_HOME="http://d-i.debian.org/daily-images/s390x/daily"
+		DI_WWW_HOME="https://d-i.debian.org/daily-images/s390x/daily"
 	fi
     if [ -n "$DI_DIR" -a -e "$DI_DIR/~${DI_WWW_HOME#*~}" ] ; then
         DI_DIR="$DI_DIR/${DI_WWW_HOME#*http://}"
diff --git a/tools/boot/wheezy/boot-sparc b/tools/boot/wheezy/boot-sparc
index f15a501..935bd3f 100755
--- a/tools/boot/wheezy/boot-sparc
+++ b/tools/boot/wheezy/boot-sparc
@@ -11,7 +11,7 @@ set -e
 N=$1
 CDDIR=$2
 if [ "$DI_WWW_HOME" = "default" ];then
-   DI_WWW_HOME="http://d-i.debian.org/daily-images/sparc/daily/cdrom/"
+   DI_WWW_HOME="https://d-i.debian.org/daily-images/sparc/daily/cdrom/"
    if [ -n "$DI_DIR" ];then
        DI_DIR="$DI_DIR/${DI_WWW_HOME#*http://}"
        DI_WWW_HOME=""                     
diff --git a/tools/boot/wheezy/boot-x86 b/tools/boot/wheezy/boot-x86
index 70bf93f..1ae2980 100644
--- a/tools/boot/wheezy/boot-x86
+++ b/tools/boot/wheezy/boot-x86
@@ -21,9 +21,9 @@ if [ "$DI_WWW_HOME" = "default" ];then
     # do *not* do that - these defs are parsed out by other scripts that
     # won't cope with that
 	if [ "$ARCH" = i386 ]; then
-		DI_WWW_HOME="http://d-i.debian.org/daily-images/i386/daily"
+		DI_WWW_HOME="https://d-i.debian.org/daily-images/i386/daily"
 	else
-		DI_WWW_HOME="http://d-i.debian.org/daily-images/amd64/daily"
+		DI_WWW_HOME="https://d-i.debian.org/daily-images/amd64/daily"
 	fi
 	if [ -n "$DI_DIR" ];then
 		DI_DIR="$DI_DIR/${DI_WWW_HOME#*http://}"
-- 
2.1.4

